#!/usr/koeki/bin/ruby
#-*-coding: utf-8-*-
jyanru=["絵本","ファンタジー","推理小説","漫画"]
hon=["100かいだての家シリーズ","ドリトル先生シリーズ","アガサクリスティシリーズ","手塚治虫作品"]
puts"あなたが読んでみたい本のジャンルはどれ?"
     puts"絵本?ファンタジー?推理小説?漫画?"
gets
printf("%sのオススメは%sだよ。\n",jyanru[0],hon[0])
puts"「100かいだでの家シリーズ」"
puts"色んな生き物が出てきて細かい部分までかわいいよ!"
gets
pid=spawn"display -geometry +1+1 100.png"
sleep(1)
Process.kill(:INT,pid)
pid1=spawn"display -geometry +2+2 thika.png"
sleep(1)
Process.kill(:INT,pid1)
pid2=spawn"display -geometry +3+3 umi.png"
sleep(1)
Process.kill(:INT,pid2)
pid3=spawn"display -geometry +4+4 sora.png"
sleep(1)
Process.kill(:INT,pid3)
pid4=spawn"display -geometry +5+5 mori.png"
sleep(1)
Process.kill(:INT,pid4)
pid5=spawn"display -geometry +6+6 numa.png"
sleep(1)
Process.kill(:INT,pid5)
gets
printf("%sのオススメは%sだよ。\n",jyanru[1],hon[1])
puts"ドリトル先生は動物の言葉が話せるよ!"
puts"この本がいつ書かれたか知っているかな?どちらでしょうか?"
puts"1:1920年"
puts"2:2020年"
while true
  kotae=gets.chomp.to_i
  if kotae==1
    puts"ピンポーン正解!100年前だね。"
    break
  elsif kotae==2
    puts"ブブー不正解"
    break
  end
end
gets
printf("%sのオススメは%sだよ。\n",jyanru[2],hon[2])
puts"「ABC殺人事件」や「オリエント急行殺人事件」で、エスキュールポアロさんが活躍するよ!"
gets
puts"【推理小説のおまけ】"
puts"江戸川乱歩もおもしろいよ!"
puts"私が好きな画家佐竹美保さんも挿絵を描いているよ"
puts"彼女が挿絵を描いている作品は他にもたくさんあるよ!例えば次の作品だよ。"
#require'csv'
#data=CSV.read("satake.csv",headers:true)
#date.each{|row|printf("%sの詳しい情報は?\n,row["タイトル"])
#printf("作者=>%s\n出版社=>%s\n,row["作者"],row[出版社])}
gets
printf("%sのオススメは%sだよ。\n",jyanru[3],hon[3])
gets
taitoru=["火の鳥","ブラックジャック","ブッタ","リボンの騎士"]
tokutyou=["未完成の作品と言われている","短編集","成長物語","ハッピーエンド"]
printf("%sの特徴は%sことだよ。\n",taitoru[0],tokutyou[0])
gets
pid6=spawn"display -geometry +7+7 hinotori.jpg"
sleep(2)
Process.kill(:INT,pid6)
gets
printf("%sは%sだよ。\n",taitoru[1],tokutyou[1])
gets
pid7=spawn"display -geometry +8+8 burakku.jpg"
sleep(2)
Process.kill(:INT,pid7)
gets
printf("%sは%sだよ。\n",taitoru[2],tokutyou[2])
printf("%sは%sだよ。\n",taitoru[3],tokutyou[3])
gets
puts"読みたい本はあったかな?"
puts"気になった本があったら図書館にレッツゴー!"
puts"図書館では日本十進分類法で分類されているよ。"
bunrui=["総記","哲学・道徳・宗教","歴史・伝記・地理","社会科学","自然科学","技術・工業・家庭","産業・交通・通信","芸術・スポーツ","言語","文学"]
printf("0は%s\n",bunrui[0])
printf("1は%s\n",bunrui[1])
printf("2は%s\n",bunrui[2])
printf("3は%s\n",bunrui[3])
printf("4は%s\n",bunrui[4])
printf("5は%s\n",bunrui[5])
printf("6は%s\n",bunrui[6])
printf("7は%s\n",bunrui[7])
printf("8は%s\n",bunrui[8])
printf("9は%s\n",bunrui[9])
puts"本を探すときの参考にしてみてね。"


